#ifndef DEMO001_3_H
#define DEMO001_3_H

#include <QMainWindow>
#include <QSlider>
#include <QLineEdit>

namespace Ui {
class Demo001_3;
}

class Demo001_3 : public QMainWindow
{
    Q_OBJECT

public:
    explicit Demo001_3(QWidget *parent = nullptr);
    ~Demo001_3();

    void initFrom();
    void connectSliderAndLineEdit(QSlider* slider, QLineEdit* lineEdit);
    void initSliders();
    void initLineEdits();
    void saveSliderStates();
    void loadSliderStates();
    void closeEvent(QCloseEvent *event);
    void loadSettings();
    void checkSettings();
    void loadGroupSettings(int Id, int Index);

private slots:
    void on_pushButton_clicked();

    QPixmap getCurrentPixmap() const {
        return currentPixmap;
    }

    void on_pushButton_3_clicked();

private:
    Ui::Demo001_3 *ui;

    QPixmap currentPixmap;
    qreal scaleFactor;
};

#endif // DEMO001_3_H
